<?php
// Verifique se a classe WP_Widget já existe para evitar redefinições.
if (!class_exists('alt_encontrar_veiculo')) {
    
    class alt_encontrar_veiculo extends WP_Widget {
        
        // Construtor do Widget
        public function __construct() {
            parent::__construct(
                'alt_encontrar_veiculo',  // Base ID do widget
                __('Altimus - Encontrar Veículo', 'text_domain'), // Nome do widget no painel
                array('description' => __('Botão de ação para encontrar veículo específico.', 'text_domain'))
            );
        }

        // Função para exibir o widget no frontend   
        public function widget($args, $instance) {

        $paleta_cor = get_paleta_de_cores();
        if($paleta_cor == 'personalizado-altimus'){
            $classe_svg= 'svg-branco';
        }
        $matriz = alt_get_matriz();
        
        if (empty($matriz["url_whatsapp"])) {
            $url = '';
        } else {
            $url = $matriz["url_whatsapp"] . '?text=Olá, estou no site da ' . $matriz["nome"] . ' e gostaria de ajuda para encontrar um veículo.';  
        }

        echo $args['before_widget'];

        wp_enqueue_style(
            'alt_encontrar_veiculo_css',
            get_template_directory_uri() . '/inc/widgets/alt_encontrar_veiculo/assets/css/style.css',
            array(),
            '1.0'
        );
        wp_enqueue_script(
            'alt_encontrar_veiculo_js',
            get_template_directory_uri() . '/inc/widgets/alt_encontrar_veiculo/assets/js/altimus-encontra-veiculo.js', 
            '',  
            '1.0',
            true
        );

        // Só incluir o arquivo se for para mostrar a seção "Dúvida"
        if (isset($instance['show_about']) && $instance['show_about'] == 'yes') {
            include 'encontra-veiculo.php'; 
        }

        echo $args['after_widget'];
    }



        // Função para exibir o formulário de configuração no painel de administração
        public function form($instance) {
            $show_about = !empty($instance['show_about']) ? $instance['show_about'] : 'yes';
            ?>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id('show_about')); ?>"><?php _e('Exibir Dúvida?', 'text_domain'); ?></label><br>
                <input type="radio" id="<?php echo esc_attr($this->get_field_id('show_about_yes')); ?>" name="<?php echo esc_attr($this->get_field_name('show_about')); ?>" value="yes" <?php checked($show_about, 'yes'); ?>>
                <label for="<?php echo esc_attr($this->get_field_id('show_about_yes')); ?>"><?php _e('Sim', 'text_domain'); ?></label><br>
                <input type="radio" id="<?php echo esc_attr($this->get_field_id('show_about_no')); ?>" name="<?php echo esc_attr($this->get_field_name('show_about')); ?>" value="no" <?php checked($show_about, 'no'); ?>>
                <label for="<?php echo esc_attr($this->get_field_id('show_about_no')); ?>"><?php _e('Não', 'text_domain'); ?></label>
            </p>
            <?php 
        }

        // Função para salvar os dados do widget
        public function update($new_instance, $old_instance) {
            $instance = array();
            $instance['show_about'] = (!empty($new_instance['show_about'])) ? sanitize_text_field($new_instance['show_about']) : 'no';

            return $instance;
        }
    }

    // Registra o widget
    function register_alt_encontrar_veiculo() {
        register_widget('alt_encontrar_veiculo');
    }
    add_action('widgets_init', 'register_alt_encontrar_veiculo');

}
?>
